Append a new file-backed memory entry to a vault.
curl --request POST \
--url https://api.case.dev/vault/{id}/memory \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "fact",
"content": "<string>",
"source": "<string>",
"tags": [
"<string>"
]
}
'{
"entry": {
"id": "<string>",
"type": "<string>",
"content": "<string>",
"source": "<string>",
"tags": [
"<string>"
],
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}API key starting with sk_case_
Vault ID
Created memory entry
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.case.dev/vault/{id}/memory \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "fact",
"content": "<string>",
"source": "<string>",
"tags": [
"<string>"
]
}
'{
"entry": {
"id": "<string>",
"type": "<string>",
"content": "<string>",
"source": "<string>",
"tags": [
"<string>"
],
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}